List the voiceprints in a space
GET/spaces/{owner}/{space}/voiceprints
List the paginated details of the voiceprints in a space.
Path Parameters
The handle of the owner.
Possible values: non-empty and <= 50 characters
The handle of the space.
Possible values: non-empty and <= 50 characters
Query Parameters
The index of the page.
Possible values: >= 1
1The maximum size of the pages.
Possible values: >= 1 and <= 50
20The criteria used to sort the voiceprints.
Possible values: [handle, createdAt, computedAt]
createdAtThe term used to search the voiceprints by handle or alias.
The term used to search voiceprints after or equal to the specified date.
The term used to search voiceprints before or equal to the specified date.
Responses
- 200
The requested page of the list of voiceprints in the space
Headers
- Page-Totalinteger
The total number of pages available.
- Page-Sizeinteger
The selected maximum size of the pages.
- Page-Currentinteger
The index of the requested page.
- Item-Totalinteger
The total number of items.
Response Body
Array [
]
The UUID of the voiceprint. Is unique.
string<uuid>00000000-0000-0000-0000-000000000000The handle of the voiceprint. Is unique.
string<handle>voiceprint-aThe alias of the voiceprint.
string,null<alias>Voiceprint AThe state of the voiceprint
VoiceprintState (string)Possible values: [notComputable, computable, computed]
notComputableidentityobjectrequired
The identity of the voiceprint.
The handle of the identity. Is unique.
string<handle>identity-aThe alias of the identity.
string,null<alias>Identity AThe total duration of the audios added to the voiceprint.
string<duration>PT7.500SThe minimum number of audios required to compute the voiceprint.
integer<int32>3The number of audios added to the voiceprint.
integer<int32>2The number of verifications of the voiceprint.
integer<int32>10The date and time when the voiceprint was created.
string<date-time>2023-01-01T00:00:00.000000ZThe date and time when the voiceprint was computed.
string<date-time>2023-01-01T00:00:00.000000ZExample from Schema
[
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "voiceprint-a",
"alias": "Voiceprint A",
"state": "notComputable",
"model": "phone/v1",
"identity": {
"handle": "identity-a",
"alias": "Identity A"
},
"totalDuration": "PT7.500S",
"minAudios": 3,
"audios": 2,
"verifications": 10,
"createdAt": "2023-01-01T00:00:00.000000Z",
"computedAt": "2023-01-01T00:00:00.000000Z"
}
]